puppet's virtualenv module requires internet access

RESOLVED FIXED

Status

Infrastructure & Operations
RelOps
RESOLVED FIXED
6 years ago
5 years ago

People

(Reporter: catlee, Assigned: dustin)

Tracking

Details

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
The virtualenv.py currently used by the python::virtualenv module requires distribute-0.6.24.tar.gz, but the manifests only copy in 0.6.14:

http://hg.mozilla.org/build/puppet/file/500dc20911ea/modules/python/manifests/virtualenv/prerequisites.pp#l11

It should instantiate the virtualenv with --never-download as well here:
http://hg.mozilla.org/build/puppet/file/500dc20911ea/modules/python/manifests/virtualenv.pp#l48
Assignee: server-ops-releng → dustin
Assignee: dustin → jwatkins
Created attachment 624189 [details] [diff] [review]
updated python distribute package and added --never-download

repo has also been update with distribute-0.6.26.tar.gz
Attachment #624189 - Flags: review?(dustin)
Attachment #624189 - Flags: feedback?(kmoir)
Comment on attachment 624189 [details] [diff] [review]
updated python distribute package and added --never-download

lgtm
Attachment #624189 - Flags: review?(dustin) → review+
Assignee: jwatkins → dustin
Comment on attachment 624189 [details] [diff] [review]
updated python distribute package and added --never-download

checked in.  Sorry, kmoir :)
Attachment #624189 - Flags: feedback?(kmoir)
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Component: Server Operations: RelEng → RelOps
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.